<?xml version="1.0" encoding="utf-8" standalone="no" ?>
<sounds xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../../../../../shared/xml/schema/vehicle_sounds.xsd">
    <motorized>
        <sounds>
            <motor template="engineMedium" file="$data/vehicles/valtra/sSeries/sounds/sSeries_loop.gls" linkNodeOffset="0 1.6 1.2" pitchScale="1" volumeScale="1.4" >
                <volume outdoor="1.0" indoor="0.75"/>
            </motor>
            <motor template="fanModern_01" linkNodeOffset="0 1.3 1.7" volumeScale="3.2" innerRadius="0.5" outerRadius="50" fadeIn="0.6" fadeOut="1" pitchScale="0.8" />

            <gearbox template="transmissionModern_02" linkNode="wheelBackLeft" pitchScale="1.0" volumeScale="2.2" innerRadius="1" outerRadius="40" fadeIn="0.9" fadeOut="1" isLocalSound="true"/>
            <gearbox template="transmissionModern_02" linkNode="wheelBackRight" pitchScale="0.75" volumeScale="2.2" innerRadius="1" outerRadius="40" fadeIn="0.9" fadeOut="1" />

            <gearbox template="cabinTractor_01" linkNodeOffset="0.5 2.5 -1" volumeScale="2" pitchScale="1.0" innerRadius="0.8" supportsReverb="false" fadeIn="0.8" fadeOut="1" />
            <gearbox template="cabinTractor_01" linkNodeOffset="-0.5 2.5 -1" volumeScale="2" pitchScale="1.1" innerRadius="0.8" supportsReverb="false" fadeIn="0.8" fadeOut="1" />

            <motor template="indoorCabinRumble" volumeScale="12" pitchScale="1.3" linkNodeOffset="0.5 2.5 -1"/>
            <motor template="indoorCabinRumble" volumeScale="12" pitchScale="1.1" linkNodeOffset="-0.5 2.5 -1"/>
            <compressedAir     template="compressedAir" volumeScale="1.9"/>
            <airCompressorRun  template="brakeCompressorMedium" linkNodeOffset="0 1.7 1.7" volumeScale="2.5"/>
            <airCompressorStop template="compressedAir" volumeScale="1.9"/>
        </sounds>
    </motorized>

    <enterable>
        <sounds>
            <rain template="rainInVehicle" linkNodeOffset="0.0 2.5 -1" volumeScale="1.7">
                <loopSynthesisRpm>
                    <modifier type="SPEED" value="0.0" modifiedValue="0.0" />
                    <modifier type="SPEED" value="63.0" modifiedValue="1" />
                </loopSynthesisRpm>
                <volume>
                    <modifier type="SPEED" value="0" modifiedValue="1" />
                    <modifier type="SPEED" value="35" modifiedValue="1" />
                    <modifier type="SPEED" value="63" modifiedValue="1.2" />
                </volume>

                <pitch>
                    <modifier type="SPEED" value="0" modifiedValue="1" />
                    <modifier type="SPEED" value="35" modifiedValue="1" />
                    <modifier type="SPEED" value="63" modifiedValue="1.0" />
                </pitch>
            </rain>
            <hail template="hailInVehicle" linkNodeOffset="0.0 2.5 -1" volumeScale="1.5">
                <loopSynthesisRpm>
                    <modifier type="SPEED" value="0.0" modifiedValue="0.0" />
                    <modifier type="SPEED" value="60.0" modifiedValue="1" />
                </loopSynthesisRpm>
                <volume>
                    <modifier type="SPEED" value="0" modifiedValue="1" />
                    <modifier type="SPEED" value="25" modifiedValue="1" />
                    <modifier type="SPEED" value="60" modifiedValue="1.2" />
                </volume>

                <pitch>
                    <modifier type="SPEED" value="0" modifiedValue="1" />
                    <modifier type="SPEED" value="25" modifiedValue="1" />
                    <modifier type="SPEED" value="60" modifiedValue="1.0" />
                </pitch>
            </hail>
        </sounds>
    </enterable>

    <lights>
        <sounds>
            <toggleLights template="switch01"  />
            <turnLight template="switchTurnlightValtra"/>
        </sounds>
    </lights>

    <attacherJoints>
        <sounds>
            <attach template="attach01" />
            <hydraulic template="hydraulicAirySmallOpen" />
        </sounds>
    </attacherJoints>

    <drivable>
        <sounds>
            <waterSplash template="waterSplash01" />
        </sounds>
    </drivable>

    <ai>
        <automaticSteering>
            <sounds>
                <engage template="gpsEngageFendt"/>
                <disengage template="gpsDisengageFendt"/>
                <lineEnd template="gpsLineEndFendt"/>
            </sounds>
        </automaticSteering>
    </ai>

    <honk>
		<sound file="sounds/honk.wav" volumeScale="1.5"/>
	</honk>
</sounds>